# Class UnsupportedQueryException

Object
Throwable
Exception
DataStoreException
UnsupportedQueryException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

public class UnsupportedQueryException extends DataStoreException
Thrown when a resources cannot be filtered with a given query. Some examples of cases where this exception may be thrown are:

- The `Query` is an instance of a class unsupported by the resource (for example, applying a `CoverageQuery` on a `FeatureSet`).
- The query is requesting a property that does not exist in the `Resource`.
- The values in the `DataStore` are unconvertible to some characteristics (e.g., type or name) requested by the query.

This exception may be thrown when `FeatureSet​.subset(Query)` is executed, but may also be deferred until another method of the returned subset is invoked.

Since:
  0.8
See Also:
  - `FeatureSet​.subset(Query)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedQueryException()`
  Creates an exception with no cause and no details message.
  `UnsupportedQueryException(String message)`
  Creates an exception with the specified details message.
  `UnsupportedQueryException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `UnsupportedQueryException(Throwable cause)`
  Creates an exception with the specified cause and no details message.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedQueryException

    public UnsupportedQueryException()
    Creates an exception with no cause and no details message.

  - ### UnsupportedQueryException

    public UnsupportedQueryException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### UnsupportedQueryException

    public UnsupportedQueryException(Throwable cause)
    Creates an exception with the specified cause and no details message.
    Parameters:
      `cause` - the cause for this exception.

  - ### UnsupportedQueryException

    public UnsupportedQueryException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.